libstdc++

Classes | Namespaces | Functions
stl_multimap.h File Reference

Go to the source code of this file.

## Classes

class | std::multimap< _Key, _Tp, _Compare, _Alloc >
| A standard container made up of (key,value) pairs, which can be retrieved based on a key, in logarithmic time. More...

## Namespaces

namespace | std

## Functions

template<typename _Key , typename _Tp , typename _Compare , typename _Alloc >
bool | std::operator!= (const multimap< _Key, _Tp, _Compare, _Alloc > &__x, const multimap< _Key, _Tp, _Compare, _Alloc > &__y)
template<typename _Key , typename _Tp , typename _Compare , typename _Alloc >
bool | std::operator< (const multimap< _Key, _Tp, _Compare, _Alloc > &__x, const multimap< _Key, _Tp, _Compare, _Alloc > &__y)
template<typename _Key , typename _Tp , typename _Compare , typename _Alloc >
bool | std::operator<= (const multimap< _Key, _Tp, _Compare, _Alloc > &__x, const multimap< _Key, _Tp, _Compare, _Alloc > &__y)
template<typename _Key , typename _Tp , typename _Compare , typename _Alloc >
bool | std::operator== (const multimap< _Key, _Tp, _Compare, _Alloc > &__x, const multimap< _Key, _Tp, _Compare, _Alloc > &__y)
template<typename _Key , typename _Tp , typename _Compare , typename _Alloc >
bool | std::operator> (const multimap< _Key, _Tp, _Compare, _Alloc > &__x, const multimap< _Key, _Tp, _Compare, _Alloc > &__y)
template<typename _Key , typename _Tp , typename _Compare , typename _Alloc >
bool | std::operator>= (const multimap< _Key, _Tp, _Compare, _Alloc > &__x, const multimap< _Key, _Tp, _Compare, _Alloc > &__y)
template<typename _Key , typename _Tp , typename _Compare , typename _Alloc >
void | std::swap (multimap< _Key, _Tp, _Compare, _Alloc > &__x, multimap< _Key, _Tp, _Compare, _Alloc > &__y)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <map>.

Definition in file stl_multimap.h.